from PASTEC.utils.AbstractClassifierAgent import AbstractClassifierAgent

class DIRS_Agent(AbstractClassifierAgent):
    
    CI_MAX = 12 #only one "group" of complex condition is consider
    INIT_CLASSIF = "!DIRS"
    COMPLEXE_CONDITIONS = [('termTIR', '(GAG|AP|RH|YR|RT)'), ('non-termLTR', '(GAG|AP|RH|YR|RT)')]
    PATTERN_2_SEARCH_IN_BLAST_RESULTS = '(DIRS|Ngaro|VIPER)'
    PROFILES_2_SEARCH_IN_ORF = ('GAG', 'AP', 'RT', 'RH', 'YR')
    DECREASED_CI_CONDITIONS = [">10000bps"]
    CATEGORY_LENGTH_BOUND = [700, 4000, 10000]

    def getAgentName(self):
        return "DIRS"

    def makeAppropriateConclusionsForTRSearch_Agent(self, iDemandAndResult):
        if iDemandAndResult != None:
            for iResult in iDemandAndResult.result:
                if "termLTR" == iResult.getType():
                    self._conclusionsSearch.append(iResult)
                if "termTIR" == iResult.getType():
                    self._conclusionsSearch.append(iResult)
                if "non-termLTR" == iResult.getType():
                    self._conclusionsSearch.append(iResult)