from PASTEC.utils.AbstractClassifierAgent import AbstractClassifierAgent

class PLE_Agent(AbstractClassifierAgent):

    CI_MAX = 5
    INIT_CLASSIF = "!PLE"
    COMPLEXE_CONDITIONS = [('termLTR', 'EN')]
    PATTERN_2_SEARCH_IN_BLAST_RESULTS = '(Penelope|PENELOPE)'
    PROFILES_2_SEARCH_IN_ORF = ('EN', 'RT')
    DECREASED_CI_CONDITIONS = [">10000bps", "<700bps"]
    CATEGORY_LENGTH_BOUND = [700, 4000, 10000]
    
    def getAgentName(self):
        return "PLE"
    
    def makeAppropriateConclusionsForTRSearch_Agent(self, iDemandAndResult):
        if iDemandAndResult != None:
            for iResult in iDemandAndResult.result:
                if "termLTR" == iResult.getType():
                    self._conclusionsSearch.append(iResult)