from PASTEC.ProfilesResult import ProfilesResult

class TEProfilesResult(ProfilesResult):
    
    ## This class contains result of profiles search, that have to fill a black board result
    #
    # Inherit from ProfileResult
    
    # Constructor
    #
    # @param demand Instance of Demand
    # @param listProfilesDetailed list of dict of profiles (keys : index, type, name, coverage, start on the consensus sequence
    # @param profilesFrames a dict with profiles name and its frame
    #
    def __init__ (self, demand, listProfilesDetailed, profilesFrames):
        ProfilesResult.__init__(self, demand, listProfilesDetailed)
        self.profilesFrames = profilesFrames

    def __eq__(self, o):
        return ProfilesResult.__eq__(self, o) and o.profilesFrames == self.profilesFrames
        