from PASTEC.utils.IResult import IResult

class TE_BLRnResult(IResult):
    '''
    This class contains result of blastn search, that have to fill a black board result
    '''

    def __init__ (self, demand, helitronExtremities):
        '''
        Constructor
        @param demand: demand (@type: demand Object)
        @param helitronExtremities: Dict containing name of subject helitron as key and list of three elements as values : e-value, query start and query stop
        '''
        self.demand = demand
        self.helitronExtremities = helitronExtremities

    def __eq__(self, o):
        return o.demand == self.demand and o.helitronExtremities == self.helitronExtremities
    
    def isEmpty(self):
        return self.helitronExtremities == {}