from PASTEC.ComputeTEConsensusFullSizeResult import ComputeTEConsensusFullSizeResult

## Category and size result that have to be on Black board results
#    
class CategorizeSizeOfTEConsensusResult(ComputeTEConsensusFullSizeResult):
   
    ## Constructor
    # 
    # @param demand demand Object 
    # @param size integer length of TE consensus
    # @param category integer TE consensus category of size
    #
    def __init__(self, demand, size, category):
        ComputeTEConsensusFullSizeResult.__init__(self, demand, size)
        self.category = category    

    def __eq__(self, o):
        return ComputeTEConsensusFullSizeResult.__eq__(self, o) and o.category == self.category   