from PASTEC.utils.AbstractClassifierAgent import AbstractClassifierAgent

class ClassII_Agent(AbstractClassifierAgent):
    
    CI_MAX = 6 #consider 1 BLRtx, 1 BLRx and 1 profile (weight is 2 for each evidence)
    INIT_CLASSIF = "!ClassII"
    SINGLE_CONDITIONS = ('Tase', 'RPA', 'HEL', 'ATP', 'CYP', 'POLB')
    PATTERN_2_SEARCH_IN_BLAST_RESULTS = ':classII:|:ClassII:'

    def __init__(self, env):
        AbstractClassifierAgent.__init__(self, env)
        self._listOfKnownAgents = ["TE_BLRx_Agent", "TE_BLRtx_Agent", "TE_Profiles_Agent"]

    def getAgentName(self):
        return "ClassII"