from PASTEC.utils.AbstractClassifierAgent import AbstractClassifierAgent

class ClassI_Agent(AbstractClassifierAgent):
    
    CI_MAX = 6 #consider 1 BLRtx, 1 BLRx and 1 profile (weight is 2 for each evidence)
    INIT_CLASSIF = "!ClassI"
    SINGLE_CONDITIONS = ('termLTR', 'GAG', 'AP', 'RT', 'RH')
    PATTERN_2_SEARCH_IN_BLAST_RESULTS = ':classI:|:ClassI:'

    def __init__(self, env):
        AbstractClassifierAgent.__init__(self, env)
        self._listOfKnownAgents = ["TRSearch_Agent", "TE_BLRx_Agent", "TE_BLRtx_Agent", "TE_Profiles_Agent"]

    def getAgentName(self):
        return "ClassI"
    
    def makeAppropriateConclusionsForTRSearch_Agent(self, iDemandAndResult):
        if iDemandAndResult != None:
            for iResult in iDemandAndResult.result:
                if "termLTR" == iResult.getType():
                    self._conclusionsSearch.append(iResult)