from PASTEC.utils.AbstractClassifierAgent import AbstractClassifierAgent

class TIR_Agent(AbstractClassifierAgent):

    CI_MAX = 6
    INIT_CLASSIF = "!TIR"
    SINGLE_CONDITIONS = ('Tase', 'Tase\*')
    COMPLEXE_CONDITIONS = [('termTIR', '>700bps')]
    PATTERN_2_SEARCH_IN_BLAST_RESULTS = ":TIR"
    NOPATTERN_2_SEARCH_IN_BLAST_RESULTS = "(Crypton|CRYPTON)"
    PROFILES_2_SEARCH_IN_ORF = ('Tase', 'Tase\*')
    DECREASED_CI_CONDITIONS = [">10000bps"]
    CATEGORY_LENGTH_BOUND = [700, 10000]
    
    def getAgentName(self):
        return "TIR"
    
    def makeAppropriateConclusionsForTRSearch_Agent(self, iDemandAndResult):
        if iDemandAndResult != None:
            for iResult in iDemandAndResult.result:
                if "termTIR" == iResult.getType():
                    self._conclusionsSearch.append(iResult)